package com.awesome.flutter_television;

import androidx.annotation.NonNull;

import io.flutter.embedding.engine.plugins.FlutterPlugin;
import io.flutter.plugin.common.MethodCall;
import io.flutter.plugin.common.MethodChannel;
import io.flutter.plugin.common.MethodChannel.MethodCallHandler;
import io.flutter.plugin.common.MethodChannel.Result;
import io.flutter.plugin.common.PluginRegistry.Registrar;
import io.flutter.plugin.common.PluginRegistry;

/** FlutterTelevisionPlugin */
public class FlutterTelevisionPlugin implements FlutterPlugin, MethodCallHandler {
  private MethodChannel channel;
  private static PluginRegistry.Registrar _registrar;

  @Override
  public void onAttachedToEngine(@NonNull FlutterPluginBinding flutterPluginBinding) {
    channel = new MethodChannel(flutterPluginBinding.getFlutterEngine().getDartExecutor(), "com.awesome.flutter_television");
    channel.setMethodCallHandler(this);
  }

  public static void registerWith(Registrar registrar) {
    _registrar = registrar;
    final MethodChannel channel = new MethodChannel(registrar.messenger(), "com.awesome.flutter_television");
    channel.setMethodCallHandler(new FlutterTelevisionPlugin());
  }

  @Override
  public void onMethodCall(@NonNull MethodCall call, @NonNull Result result) {
    if (call.method.equals("com.awesome.check_device")) {
      boolean tvDevice = DeviceUtil.checkDevice(_registrar.context());
      result.success(tvDevice);
    }  if (call.method.equals("com.awesome.cable")) {
      boolean isCable = DeviceUtil.isCable(_registrar.context());
      result.success(isCable);
    }else {
      result.notImplemented();
    }
  }

  @Override
  public void onDetachedFromEngine(@NonNull FlutterPluginBinding binding) {
    channel.setMethodCallHandler(null);
  }
}
